#include <io.h>
#include <delay.h>

void main(void)
{
    unsigned char n = 0;    
    DDRA  = 0xFF;
              
    while(1)
    {            
        PORTA = 1 << n;
        n++;
        if(n >= 8)
        {            
            n = 0;
        }         
        delay_ms(500);
    }
}




























//    PORTA++; 
//    delay_ms(500);
//    PORTA++;
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;    